class Publishers::UserCreated < ApplicationPublisher
  attr_accessor :user_id
  def initialize(user_id)
    @user_id = user_id
    subscribe(Subscribers::UserCreated, async: true)
  end

  def call
    user = User.find_by(id: user_id)

    if user.email?
      publish(:welcome_user_email, user.id)
      # broadcast(:welcome_user_email, user.id)
    end
  end
end